- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.cases.caseEvidenceDatas.list
Lists the case evidence data for a given case.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/caseEvidenceDatas
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent case resource name. Format: projects/{project}/locations/{location}/instances/ {instance}/cases/{caseId} |
Query parameters
| Parameters | |
|---|---|
filter |
Optional. A https://google.aip.dev/160 filter string. Must contain an evidenceType, for example: "evidenceType = THREAT_HUNT" |
pageSize |
Optional. The maximum number of items to return. The default is 1000, and the maximum pageSize is 1000. Values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous |
orderBy |
Optional. The field to sort the results by. The default ordering is by caseEvidenceDataId. |
Request body
The request body must be empty.
Response body
Response message for caseEvidenceDatas.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"caseEvidenceDatas": [
{
object ( |
| Fields | |
|---|---|
caseEvidenceDatas[] |
The list of case evidence data. |
nextPageToken |
A token to retrieve the next page of results. |
totalSize |
Total number of records matching the filter. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseEvidenceDatas.get
For more information, see the IAM documentation.